enigma2: bump version to 4.3.3r1
[opendreambox.git] / meta-opendreambox / recipes-dreambox / dreambox / dreambox-compat_1.0.bb
1 SUMMARY = "Dreambox compatibility links"
2 LICENSE = "MIT"
3 LIC_FILES_CHKSUM = "file://${OPENDREAMBOX_BASE}/LICENSE;md5=8f242b441da515e30c7b07f2cc6f4d5c"
4
5 do_install_mipsel() {
6         install -d ${D}${base_libdir}
7         ln -sf libcrypto.so.0.9.8 ${D}${base_libdir}/libcrypto.so.0.9.7
8         ln -sf libgcc_s.so.1 ${D}${base_libdir}/libgcc_s_nof.so.1
9         install -d ${D}${libdir}
10         ln -sf libgif.so.4 ${D}${libdir}/libungif.so.4
11         ln -sf libjpeg.so.62 ${D}${libdir}/libjpeg.so.8
12         ln -sf libssl.so.0.9.8 ${D}${libdir}/libssl.so.0.9.7
13         ln -sf libpython2.7.so.1.0 ${D}${libdir}/libpython2.6.so.1.0
14 }
15
16 RDEPENDS_${PN}_mipsel = " \
17     giflib \
18     jpeg \
19     libcrypto0.9.8 \
20     libgcc \
21     libpython2 \
22     libssl0.9.8 \
23 "
24
25 ALLOW_EMPTY_${PN} = "1"